[arch-commits] Commit in tango-icon-theme-extras/repos (2 files)

Eric Bélanger eric at archlinux.org
Sat May 2 18:41:33 EDT 2009


    Date: Saturday, May 2, 2009 @ 18:41:32
  Author: eric
Revision: 37554

Merged revisions 356,37548 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/tango-icon-theme-extras/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r37548 | eric | 2009-05-02 18:03:56 -0400 (Sat, 02 May 2009) | 2 lines
  
  upgpkg: tango-icon-theme-extras 0.1.0-3
      Added arch field, Added license, Updated url, Added python makedepends
........

Modified:
  tango-icon-theme-extras/repos/extra-i686/	(properties)
  tango-icon-theme-extras/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)


Property changes on: tango-icon-theme-extras/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /tango-icon-theme-extras/trunk:1
   + /tango-icon-theme-extras/trunk:1-37553

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-02 22:19:29 UTC (rev 37553)
+++ extra-i686/PKGBUILD	2009-05-02 22:41:32 UTC (rev 37554)
@@ -3,17 +3,20 @@
 # Contributor: William Rea <sillywilly at gmail.com>
 pkgname=tango-icon-theme-extras
 pkgver=0.1.0
-pkgrel=2
+pkgrel=3
 pkgdesc="Extra icons for Tango"
-url="http://tango-project.org"
+arch=('i686' 'x86_64')
+url="http://tango.freedesktop.org"
+license=('custom:CCPL2.5-by-sa')
 depends=('tango-icon-theme')
-makedepends=('imagemagick' 'icon-naming-utils')
-source=(http://tango-project.org/releases/$pkgname-$pkgver.tar.gz)
+makedepends=('imagemagick' 'icon-naming-utils' 'python')
+source=(http://tango.freedesktop.org/releases/$pkgname-$pkgver.tar.gz)
 md5sums=('caaceaec7b61f1cbda0db9842f9db281')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver --enable-png-creation
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --enable-png-creation || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list